/************************************************************************/
/*                                                                      */
/*   rfLan SDK Library                                                  */
/*                                                                      */
/************************************************************************/

#ifndef _RF_LAN_LIB_H_
        #define _RF_LAN_LIB_H_

/************************************************************************/
/* Includes                                                             */
/************************************************************************/

        #include <WINSOCK2.H>
        #include <windows.h>

/************************************************************************/
/*                                                                      */
/************************************************************************/
        #ifdef __cplusplus
        extern "C" {
        #endif

        typedef struct _UDP_DEVINFOBLOCK_PC {
	        unsigned short		  usDeviceType;
        	unsigned char		  ucIP[4];
	        unsigned char		  ucMAC[6];
         	unsigned char		  ucInfo[256];
	        _UDP_DEVINFOBLOCK_PC  *	  pNext;
        }  UDP_DEVINFOBLOCK_PC, *LPUDP_DEVINFOBLOCK_PC;

//////////////////////////////////////////////////////////////////////////
//
//	RF620 Device Type
//

        #define RF620_Device	620

//////////////////////////////////////////////////////////////////////////
//
//	Common function
//

        UDP_DEVINFOBLOCK_PC*    RF_Search 		(USHORT, USHORT);
        void                    RF_ClearList		(UDP_DEVINFOBLOCK_PC *);

//////////////////////////////////////////////////////////////////////////
//
//	RF620 LAN functions
//
        SOCKET                  RF620_Connect           ( UDP_DEVINFOBLOCK_PC * );
        BOOL                    RF620_Disconnect        ( SOCKET );
        BOOL			RF620_GetResult	        ( SOCKET, void * );
        BOOL			RF620_GetImage	        ( SOCKET, void * );
        BOOL			RF620_ReadParams        ( SOCKET, void * );
        BOOL			RF620_WriteParams       ( SOCKET, void * );
        BOOL			RF620_FlushParams 	( SOCKET, BOOL );
        BOOL			RF620_CalcAngle	  	( SOCKET, void *);
		
//////////////////////////////////////////////////////////////////////////

        #ifdef __cplusplus
        }
        #endif

//////////////////////////////////////////////////////////////////////////
#endif
